Subject: Re: [RFC] Support UTF-8 characters in Git alias names

From: Junio C Hamano <[email-masked]>
Date: Mon, 09 Feb 2026 17:04:18 -0800

Ben Knoble <[email-masked]> writes:

> In what way do alias names end up being pathname components? Or
> did you mean to insert « treated like » (as in, normalized as
> command arguments)?

Ah, they don't.  I somehow was confusing those custom commands you
would throw into your ~/bin as "git-something" ;-).

But you're correct to point out that for a command line "git
something", "something" would go through the same "undo macOS NFD
for all argv[] elements".